<!DOCTYPE html>
<html lang="en">
<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='main.css') }}">
    {% block styles %}
    {% endblock %}

    <title>Shark</title>

</head>
<body>
    <header>
        <nav class="custom-nav navbar navbar-expand-lg navbar-light ">
            <img alt="logo" class="shark-image logo" src="{{ url_for('static', filename='shark.jpg') }}">
              <a class="navbar-brand" href="{{ url_for('home.home') }}">Shark Shipping Company</a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">

                  <li class=" ml-3 nav-item">
                    <a class="nav-link" href="{{ url_for('departments.display_departments') }}">Departments</a>
                  </li>
                  <li class="ml-3 nav-item">
                    <a class="nav-link" href="{{ url_for('employees.display_employees') }}">Employees</a>
                  </li>
                    {% if not g.home %}
                          <li class="ml-4 nav-item">
                                  <a class="btn btn-info btn-lg" href="/api{{ request.path }}">SHOW API</a>
                          </li>
                    {% endif %}
                </ul>
              </div>
        </nav>
    </header>

    {% with messages = get_flashed_messages(with_categories=true) %}
        {% if messages %}
            {% for category, message in messages %}
                <div class="alert alert-{{ category }}">
                    {{ message }}
                </div>
            {% endfor %}
        {% endif %}
    {% endwith %}

    <div>
        {% block content %}
        {% endblock %}
        {% block error %}
        {% endblock %}
    </div>
    <footer id="footer">
        <div class="social-footer">
            <div class="address">
                <h4>Find us here:</h4>
                <p>2722  Elliot Avenue, Seattle WA Washington</p>
                <p>Phone: 206-510-8519</p>
                <p>Phone: 206-818-4903</p>
            </div>
            <div class="footer-media">
                <h4>Social Media</h4>
                <a href="#" class="btn fa fa-facebook"></a>
                <a href="#" class="btn fa fa-twitter"></a>
            </div>
        </div>

    </footer>

{% block scripts %}
{% endblock %}

    </body>
</html>